CheckDBForTransfersThread (The Data Transfer Scheduler Service 2.0.0-4.7.1-126202 API)
Date: 2017-10-17

org.gcube.datatransfer.scheduler.impl.check

## Class CheckDBForTransfersThread

- java.lang.Object
- - java.lang.Thread
  - - org.gcube.datatransfer.scheduler.impl.check.CheckDBForTransfersThread

- All Implemented Interfaces:
    Runnable

      public class CheckDBForTransfersThread
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `checkForTransfersIntervalMS`
    `org.gcube.datatransfer.scheduler.db.DataTransferDBManager` | `dbManager`
    `boolean` | `immediateCheck`
    `boolean` | `isMessagingEnabled`
    `SchedulerResource` | `resource`
    `long` | `timeForSettingInactive`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckDBForTransfersThread(org.gcube.common.core.state.GCUBEWSResource ws)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkLongTimeOngoing()`
    `long` | `getCheckForTransfersIntervalMS()`
    `boolean` | `isImmediateCheck()`
    `void` | `resetCheckForTransfersInterval()`
    `void` | `run()`
    `void` | `setCheckForTransfersIntervalMS(long checkForTransfersIntervalMS)`
    `void` | `setImmediateCheck(boolean immediateCheck)`
    `void` | `sleepFiveSec()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dbManager

          public org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager

    - #### resource

          public SchedulerResource resource

    - #### checkForTransfersIntervalMS

          public long checkForTransfersIntervalMS

    - #### immediateCheck

          public boolean immediateCheck

    - #### isMessagingEnabled

          public boolean isMessagingEnabled

    - #### timeForSettingInactive

          public long timeForSettingInactive

  - ### Constructor Detail

    - #### CheckDBForTransfersThread

          public CheckDBForTransfersThread(org.gcube.common.core.state.GCUBEWSResource ws)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### sleepFiveSec

          public void sleepFiveSec()

    - #### getCheckForTransfersIntervalMS

          public long getCheckForTransfersIntervalMS()

    - #### setCheckForTransfersIntervalMS

          public void setCheckForTransfersIntervalMS(long checkForTransfersIntervalMS)

    - #### isImmediateCheck

          public boolean isImmediateCheck()

    - #### setImmediateCheck

          public void setImmediateCheck(boolean immediateCheck)

    - #### resetCheckForTransfersInterval

          public void resetCheckForTransfersInterval()

    - #### checkLongTimeOngoing

          public void checkLongTimeOngoing()

Copyright © 2017. All Rights Reserved.